跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

AgentOptimizationJobs

Estimate an agent optimization job

POST /agent_optimization_jobs:estimate

Estimates validation-set rows, per-stage model call volumes, and cost bands without submitting the job.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

The inputs to estimate against.

Content-Type: application/json
target_configuration foundry_agent

Base target configuration for an optimization job.

下列其中一項:
foundry_agent AgentOptimizationFoundryAgentTargetConfiguration

Identifies the Foundry agent that owns the configuration being optimized.

type enum 必要

Foundry-agent target discriminator.

foundry_agent
name string 必要

Registered Foundry agent name.

version string

Pinned agent version. Omitted to resolve and pin the latest version.

optimization_model_configuration AgentOptimizationModelConfiguration 必要

Identifies a model used by an optimization or evaluation step.

model string 必要

A non-empty Foundry model name or existing deployment name.

optimization_configuration AgentOptimizationConfiguration 必要

Configuration for optimizing an agent for measured quality.

type enum 必要

Optimization type discriminator.

agent_optimization
goal string | enum

Goal for an agent-optimization job.

以下任何一項:
string
enum
improve_quality
evaluation_configuration AgentOptimizationEvaluationConfiguration 必要

Reusable quality-measurement configuration for agent optimization.

training_set target_completion | user_conversation_simulation 必要

Base discriminated model for an optimization evaluation set.

下列其中一項:
target_completion AgentOptimizationTargetCompletionEvaluationSet

Evaluation set containing independent single-turn inputs.

type enum 必要

Target-completion set discriminator.

target_completion
source inline | dataset_reference 必要

Base source for a target-completion optimization evaluation set.

下列其中一項:
inline AgentOptimizationTargetCompletionInlineDataSource

Supplies single-turn rows directly in the optimization request.

type enum 必要

Inline source discriminator.

inline
test_cases AgentOptimizationTargetCompletionTestCase[] 必要

Target-completion test cases.

dataset_reference AgentOptimizationTargetCompletionDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for target-completion evaluation.

type enum 必要

Registered dataset source discriminator.

dataset_reference
name string 必要

Registered dataset name.

version string 必要

Registered dataset version.

user_conversation_simulation AgentOptimizationUserConversationSimulationEvaluationSet

Evaluation set containing scenarios for simulated conversations.

type enum 必要

User-conversation-simulation set discriminator.

user_conversation_simulation
source inline | dataset_reference 必要

Base source for a user-conversation-simulation optimization evaluation set.

下列其中一項:
inline AgentOptimizationUserConversationSimulationInlineDataSource

Supplies Evals user-conversation simulation test cases directly in the optimization request.

type enum 必要

Inline source discriminator.

inline
test_cases UserConversationSimulationTestCase[] 必要

Conversation test scenarios.

dataset_reference AgentOptimizationUserConversationSimulationDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for user-conversation-simulation evaluation.

type enum 必要

Registered dataset source discriminator.

dataset_reference
name string 必要

Registered dataset name.

version string 必要

Registered dataset version.

default_simulation_configuration UserConversationSimulationConfiguration

Configures the number, length, audio effects, and simulated user behavior of conversations.

max_num_turns integer

Hard limit on turns in each conversation. When omitted, the service defaults to 20.

conversation_repetitions integer

Number of independent conversation repetitions for each test case. Defaults to 1 when not specified at either the data-source or test-case level.

desired_num_turns integer

Target number of turns in each conversation. The effective value cannot exceed the effective max_num_turns. When omitted, no target is set and the simulation model determines the conversation length dynamically from the scenario.

audio_effects UserConversationSimulationAudioEffectsConfiguration

Configures effects applied to simulated conversation audio.

effects UserConversationSimulationAudioEffect[]

Effects to apply to simulated audio.

volume_percentage integer

Volume of the configured audio effects, as a percentage from 1 through 100. When omitted, the service defaults to 15.

user_behavior UserConversationSimulationUserBehaviorConfiguration

Configures conversation behavior for the simulated user.

interruption default

Configuration for simulated user interruption behavior.

下列其中一項:
default UserConversationSimulationDefaultInterruptionConfiguration

Configures the default interruption behavior for the simulated user.

type enum 必要

The interruption type, always default.

default
validation_set target_completion | user_conversation_simulation

Base discriminated model for an optimization evaluation set.

下列其中一項:
target_completion AgentOptimizationTargetCompletionEvaluationSet

Evaluation set containing independent single-turn inputs.

type enum 必要

Target-completion set discriminator.

target_completion
source inline | dataset_reference 必要

Base source for a target-completion optimization evaluation set.

下列其中一項:
inline AgentOptimizationTargetCompletionInlineDataSource

Supplies single-turn rows directly in the optimization request.

type enum 必要

Inline source discriminator.

inline
test_cases AgentOptimizationTargetCompletionTestCase[] 必要

Target-completion test cases.

dataset_reference AgentOptimizationTargetCompletionDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for target-completion evaluation.

type enum 必要

Registered dataset source discriminator.

dataset_reference
name string 必要

Registered dataset name.

version string 必要

Registered dataset version.

user_conversation_simulation AgentOptimizationUserConversationSimulationEvaluationSet

Evaluation set containing scenarios for simulated conversations.

type enum 必要

User-conversation-simulation set discriminator.

user_conversation_simulation
source inline | dataset_reference 必要

Base source for a user-conversation-simulation optimization evaluation set.

下列其中一項:
inline AgentOptimizationUserConversationSimulationInlineDataSource

Supplies Evals user-conversation simulation test cases directly in the optimization request.

type enum 必要

Inline source discriminator.

inline
test_cases UserConversationSimulationTestCase[] 必要

Conversation test scenarios.

dataset_reference AgentOptimizationUserConversationSimulationDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for user-conversation-simulation evaluation.

type enum 必要

Registered dataset source discriminator.

dataset_reference
name string 必要

Registered dataset name.

version string 必要

Registered dataset version.

default_simulation_configuration UserConversationSimulationConfiguration

Configures the number, length, audio effects, and simulated user behavior of conversations.

max_num_turns integer

Hard limit on turns in each conversation. When omitted, the service defaults to 20.

conversation_repetitions integer

Number of independent conversation repetitions for each test case. Defaults to 1 when not specified at either the data-source or test-case level.

desired_num_turns integer

Target number of turns in each conversation. The effective value cannot exceed the effective max_num_turns. When omitted, no target is set and the simulation model determines the conversation length dynamically from the scenario.

audio_effects UserConversationSimulationAudioEffectsConfiguration

Configures effects applied to simulated conversation audio.

effects UserConversationSimulationAudioEffect[]

Effects to apply to simulated audio.

volume_percentage integer

Volume of the configured audio effects, as a percentage from 1 through 100. When omitted, the service defaults to 15.

user_behavior UserConversationSimulationUserBehaviorConfiguration

Configures conversation behavior for the simulated user.

interruption default

Configuration for simulated user interruption behavior.

下列其中一項:
default UserConversationSimulationDefaultInterruptionConfiguration

Configures the default interruption behavior for the simulated user.

type enum 必要

The interruption type, always default.

default
evaluators AgentOptimizationEvaluator[] 必要

Evaluator references used to score candidate quality.

evaluation_model EvaluationModelConfiguration 必要

Configures the model that plays the simulated user. This model is separate from the evaluated target.

model string 必要

Model deployment that generates simulated user turns, in the format {connectionName}/modelDeploymentName.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

voice_model azure-standard

Voice configuration used to convert text to speech for evaluation through the Voice Live endpoint.

下列其中一項:
azure-standard EvaluationAzureStandardVoiceModelConfiguration

Configures an Azure standard neural voice used to convert text to speech for evaluation through the Voice Live endpoint.

type enum 必要

The voice kind. Always azure-standard.

azure-standard
name string 必要

The Azure neural voice name.

temperature number

The synthesis temperature, from 0 to 1. When omitted, the service defaults to the underlying voice model's default temperature.

max_concurrent_agent_runs integer

Maximum number of target-agent runs executed concurrently during each single-turn evaluation. If omitted, the service defaults to 1. Conversation evaluation supports only 1.

candidate_search_configuration AgentOptimizationCandidateSearchConfiguration 必要

Candidate search settings.

max_candidates integer

Maximum number of non-baseline candidates to fully evaluate. If omitted, the service defaults to 1.

baseline_agent_configuration AgentOptimizationBaselineAgentConfiguration

Caller-supplied baseline agent values that cannot be resolved from the target agent.

system_prompt string

Caller-supplied baseline system prompt. Omitted to resolve the baseline from the target; a prompt agent's stored definition is authoritative.

current_model string

A non-empty Foundry model name or existing deployment name.

skills AgentOptimizationSkill[]

Skills available for optimization. Omitted when no manual skill surface is supplied.

tools OpenAI.ChatCompletionTool[]

Function tools available for optimization. Omitted when no manual tool surface is supplied. The optimizer may change function and argument descriptions while preserving names and parameter JSON Schema.

agent_optimization_space AgentOptimizationSpace 必要

The agent attributes and alternative values available to an agent-optimization search.

target_attributes TargetAttribute[]

Agent attributes the optimizer may change. If omitted, the service defaults to instructions.

model_search_space AgentOptimizationModelName[]

Alternative model names or existing deployment names available when model is an optimization target.

回覆

The request has succeeded.

主體

Content-Type: application/json
call_counts AgentOptimizationStageEstimate

Estimated values grouped by optimization stage.

agent AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

evaluation AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

optimization AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

cost AgentOptimizationCostEstimate

Estimated monetary cost. Present only when at least one contributing model has pricing data.

currency string 必要

ISO 4217 currency code for all monetary values in this estimate.

total AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

by_stage AgentOptimizationStageEstimate

Estimated values grouped by optimization stage.

agent AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

evaluation AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

optimization AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number 必要

Lower estimate based on model calls required for every run.

typical number 必要

Expected estimate based on model calls consumed by a typical run.

ceiling number 必要

Upper bound calculated from the maximum number of model calls.

unpriced_stages AgentOptimizationStage[]

Stages excluded from the total because pricing was unavailable.

prices_as_of integer

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /agent_optimization_jobs:estimate HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026